image: alpine

all_reports:
  script: echo Hello World
  only:
    - master
  artifacts:
    reports:
      codequality: gl-code-quality-report.json
      container_scanning: gl-container-scanning-report.json
      dast: gl-dast-report.json
      dependency_scanning: gl-dependency-scanning-report.json
      license_management: gl-license-management-report.json
      sast: gl-sast-report.json
      performance: performance.json

codeclimate:
  script: echo Hello World
  except:
    - master
  artifacts:
    paths: [gl-code-quality-report.json]

container_scanning:
  script: echo Hello World
  except:
    - master
  artifacts:
    paths: [gl-container-scanning-report.json]

dast:
  script: echo Hello World
  except:
    - master
  artifacts:
    paths: [gl-dast-report.json]

dependency_scanning:
  script: echo Hello World
  except:
    - master
  artifacts:
    paths: [gl-dependency-scanning-report.json]

license_management:
  script: echo Hello World
  except:
    - master
  artifacts:
    paths: [gl-license-management-report.json]

sast:
  script: echo Hello World
  except:
    - master
  artifacts:
    paths: [gl-sast-report.json]

performance:
  script: echo Hello World
  except:
    - master
  artifacts:
    paths: [performance.json]
